#!/bin/bash

# Appelez ce script avec au moins 10 paramètres, par exemple
# ./nom_du_script 1 2 3 4 5 6 7 8 9 10
MINPARAMS=10

echo

echo "Le nom de ce script est \"$0\"."
# Ajoute ./ pour le répertoire courant.
echo "Le nom de ce script est \"`basename $0`\"."
# Supprime le chemin du script (voir 'basename')

echo

if [ -n "$1" ]                   # La variable testée est entre guillemets.
then
 echo "Le paramètre n°1 est $1"  # Nous avons besoin des guillemets pour échapper #
fi 

if [ -n "$2" ]
then
 echo "Le paramètre n°2 est $2"
fi 

if [ -n "$3" ]
then
 echo "Le paramètre n°3 est $3"
fi 

# ...


if [ -n "${10}" ]  #  Les paramètres supérieures à $9 doivent être compris entre
                   #+ accolades.
then
 echo "Le paramètre n°10 est ${10}"
fi 

echo "-----------------------------------"
echo "Tous les paramètres de la ligne de commande : "$*""

if [ $# -lt "$MINPARAMS" ]
then
  echo
  echo "Ce script a besoin d'au moins $MINPARAMS arguments en ligne de commande!"
fi  

echo

exit 0
